--- debathena-libgms-9.4.24.orig/debian/compat
+++ debathena-libgms-9.4.24/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-libgms-9.4.24.orig/debian/control.in
+++ debathena-libgms-9.4.24/debian/control.in
@@ -0,0 +1,27 @@
+Source: debathena-libgms
+Section: debathena/libs
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: @cdbs@, comerr-dev
+Standards-Version: 3.7.2
+
+Package: debathena-libgms
+Architecture: all
+Description: A library used by the global Athena message service
+ The gms library defines error codes and constants used by get_message 
+ and messaged, the components of the global Athena message service.
+ .
+ This package contains runtime files.
+
+Package: debathena-libgms-dev
+Section: debathena/libdevel
+Architecture: any
+Provides: libgms-dev
+Conflicts: debathena-libgms (<< 9.4)
+Replaces: debathena-libgms (<< 9.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, comerr-dev
+Description: Development files for the global Athena message service library
+ The gms library defines error codes and constants used by get_message 
+ and messaged, the components of the global Athena message service.
+ .
+ This package contains headers and static libraries for development.
--- debathena-libgms-9.4.24.orig/debian/copyright
+++ debathena-libgms-9.4.24/debian/copyright
@@ -0,0 +1,20 @@
+The Athena source code was obtained from the Athena CVS repository at
+/afs/dev.mit.edu/source, and is licensed as follows:
+
+  Copyright 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+This Debian package was created as part of the Debian-Athena Project
+<http://web.mit.edu/debathena/www/> of the MIT Student Information
+Processing Board, and is released to the public domain.
--- debathena-libgms-9.4.24.orig/debian/control
+++ debathena-libgms-9.4.24/debian/control
@@ -0,0 +1,27 @@
+Source: debathena-libgms
+Section: debathena/libs
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), autoconf, quilt, patchutils (>= 0.2.25), cdbs (>= 0.4.27-1), comerr-dev
+Standards-Version: 3.7.2
+
+Package: debathena-libgms
+Architecture: all
+Description: A library used by the global Athena message service
+ The gms library defines error codes and constants used by get_message 
+ and messaged, the components of the global Athena message service.
+ .
+ This package contains runtime files.
+
+Package: debathena-libgms-dev
+Section: debathena/libdevel
+Architecture: any
+Provides: libgms-dev
+Conflicts: debathena-libgms (<< 9.4)
+Replaces: debathena-libgms (<< 9.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, comerr-dev
+Description: Development files for the global Athena message service library
+ The gms library defines error codes and constants used by get_message 
+ and messaged, the components of the global Athena message service.
+ .
+ This package contains headers and static libraries for development.
--- debathena-libgms-9.4.24.orig/debian/rules
+++ debathena-libgms-9.4.24/debian/rules
@@ -0,0 +1,19 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
+DEB_AUTO_UPDATE_AUTOCONF = 1
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+
+DEB_DH_INSTALL_SOURCEDIR = $(DEB_DESTDIR)
+DEB_FIXPERMS_EXCLUDE += \
+	var/cache/debathena-libgms/messages
+
+common-install-indep::
+	mkdir -p $(DEB_DESTDIR)/var/cache/debathena-libgms
+	touch $(DEB_DESTDIR)/var/cache/debathena-libgms/messages
+	chmod a=rw $(DEB_DESTDIR)/var/cache/debathena-libgms/messages
+
+clean::
+	rm -f configure
--- debathena-libgms-9.4.24.orig/debian/patches/series
+++ debathena-libgms-9.4.24/debian/patches/series
@@ -0,0 +1 @@
+libgms-message-name-path.patch
--- debathena-libgms-9.4.24.orig/debian/patches/libgms-message-name-path.patch
+++ debathena-libgms-9.4.24/debian/patches/libgms-message-name-path.patch
@@ -0,0 +1,13 @@
+Index: debathena-libgms-9.4.24/globalmessage.h
+===================================================================
+--- debathena-libgms-9.4.24.orig/globalmessage.h	2007-08-16 00:45:40.000000000 -0400
++++ debathena-libgms-9.4.24/globalmessage.h	2007-08-16 00:55:05.000000000 -0400
+@@ -33,7 +33,7 @@
+ #define GMS_SERV_NAME "globalmessage"
+ #define GMS_SERV_PROTO "udp"
+ 
+-#define GMS_MESSAGE_NAME "/usr/tmp/.messages"
++#define GMS_MESSAGE_NAME "/var/cache/debathena-libgms/messages"
+ 
+ #define GMS_USERFILE_NAME "/.message_times"
+ #define GMS_USERFILE_NAME_LEN (sizeof(GMS_USERFILE_NAME)-1)
--- debathena-libgms-9.4.24.orig/debian/changelog
+++ debathena-libgms-9.4.24/debian/changelog
@@ -0,0 +1,24 @@
+debathena-libgms (9.4.24-0debathena4) unstable; urgency=low
+
+  * Move message cache to /var/cache/debathena-libgms/messages.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Thu, 16 Aug 2007 01:09:31 -0400
+
+debathena-libgms (9.4.24-0debathena3) unstable; urgency=low
+
+  * Fix conflicts/replaces.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 06 Aug 2007 02:46:45 -0400
+
+debathena-libgms (9.4.24-0debathena2) unstable; urgency=low
+
+  * libgms-dev requires comerr-dev.
+  * Section: debathena/libs.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 06:33:49 -0400
+
+debathena-libgms (9.4.24-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 29 Jan 2007 23:58:16 -0500
--- debathena-libgms-9.4.24.orig/debian/debathena-libgms.install
+++ debathena-libgms-9.4.24/debian/debathena-libgms.install
@@ -0,0 +1 @@
+var/cache/debathena-libgms
--- debathena-libgms-9.4.24.orig/debian/debathena-libgms-dev.install
+++ debathena-libgms-9.4.24/debian/debathena-libgms-dev.install
@@ -0,0 +1,2 @@
+usr/lib/*
+usr/include/*
